local mod = MorgDKP2:NewModule("Whisper")
local L = LibStub("AceLocale-3.0"):GetLocale("MorgDKP2")
local media = LibStub("LibSharedMedia-3.0", true)
local BC = LibStub("LibBabble-Class-3.0"):GetLookupTable()

local mdkp = MorgDKP2
mod.modName = "Whisper"

--locals
local LL = LibStub("AceLocale-3.0"):NewLocale("Whisper", "enUS", true)
	
if LL then
	LL["Enable"] = true
	LL["Whisper system"] = true
	LL["Whispers all members (even if they have MorgBid) so they can reply and bid using whispers."] = true
	LL["%s: ID = %s  DKP/Bid value = %s  (Reply format: mbid ID [need/take/pass/bid value])"] = true
end

local LL = LibStub("AceLocale-3.0"):GetLocale("Whisper")

local Player = UnitName("player")
local db
local fmt = string.format

local defaults = { 
	profile = {
		
	},
}

local options = {
		type = "group",
		handler = mod,
		name = LL["Whisper system"],
		desc = LL["Whisper system"],
		order = 350,
		args = {
			enable = {
				type = "toggle",
				name = LL["Enable"],
				desc = LL["Whispers all members (even if they have MorgBid) so they can reply and bid using whispers."],
				get = function() return mdkp.db.profile.modules.Whisper end,
				set = 	function(info, v) 
						mdkp.db.profile.modules.Whisper = v
						if v then 
							mod:Enable()
							mod:debug("Enabled Whisper")
						else
							mod:Disable()
							mdkp:debug("Disabled Whisper")
						end
					end,
				order = 5
			},
		},
}

function mod:GetOptions()
	return options
end

function mod:IsDKP()
	return nil
end

function mod:OnInitialize()
	self.db = mdkp.db:RegisterNamespace("Whisper", defaults)
	
end

function mod:OnEnable()
	db = mdkp.db.profile
	db.moduleON["Whisper"] = true
end

function mod:OnDisable()
	db.moduleON["Whisper"] = nil
						
end

function mod:SendStartMessage(id, link, itempoints, name)
	SendChatMessage(fmt(LL["%s: ID = %s  DKP/Bid value = %s  (Reply format: mbid ID [need/take/pass/bid value])"], link, id, itempoints), "WHISPER", nil, name)
end
